net.sf.jasperreports.charts.base

## Class JRBasePieSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBasePieSeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPieSeries, JRCloneable
  Direct Known Subclasses:
    JRDesignPieSeries

      public class JRBasePieSeries
      extends java.lang.Object
      implements JRPieSeries, java.io.Serializable

  Version:
    $Id: JRBasePieSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `keyExpression`
    `protected JRExpression` | `labelExpression`
    `protected JRHyperlink` | `sectionHyperlink`
    `protected JRExpression` | `valueExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBasePieSeries()`
    `` | `JRBasePieSeries(JRPieSeries pieSeries, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getKeyExpression()`
    `JRExpression` | `getLabelExpression()`
    `JRHyperlink` | `getSectionHyperlink()` Returns the hyperlink specification for chart sections.
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyExpression

          protected JRExpression keyExpression

    - #### valueExpression

          protected JRExpression valueExpression

    - #### labelExpression

          protected JRExpression labelExpression

    - #### sectionHyperlink

          protected JRHyperlink sectionHyperlink

  - ### Constructor Detail

    - #### JRBasePieSeries

          protected JRBasePieSeries()

    - #### JRBasePieSeries

          public JRBasePieSeries(JRPieSeries pieSeries,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getKeyExpression

          public JRExpression getKeyExpression()

      Specified by:
        `getKeyExpression` in interface `JRPieSeries`
      Returns:
        a `java.lang.Comparable` object representing the categories that will make up the slices in the pie chart.

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `JRPieSeries`
      Returns:
        a numeric expression that produces the values corresponding to each category/key in the dataset.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRPieSeries`
      Returns:
        the label expression. If this expression is missing, the chart will display default labels for each slice in the pie chart. Use this expression, which returns `java.lang.String` values, to customize the item labels for the pie chart.

    - #### getSectionHyperlink

          public JRHyperlink getSectionHyperlink()

      Description copied from interface: `JRPieSeries`
      Returns the hyperlink specification for chart sections.

      The hyperlink will be evaluated for every chart section and an image map will be created for the chart.

      Specified by:
        `getSectionHyperlink` in interface `JRPieSeries`
      Returns:
        hyperlink specification for chart sections

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com